---
title: RTCPeerConnection.peerIdentity
slug: Web/API/RTCPeerConnection/peerIdentity
tags:
  - API
  - Authentication
  - Identification
  - Identity
  - Peer
  - Property
  - RTCPeerConnection
  - Read-only
  - Reference
  - WebRTC
  - WebRTC API
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The read-only {{domxref("RTCPeerConnection")}} property <code><strong>peerIdentity</strong></code> returns a JavaScript {{jsxref("Promise")}} that resolves to an {{domxref("RTCIdentityAssertion")}} which contains a {{domxref("DOMString")}} identifying the remote peer.</span> Once this promise resolves successfully, the resulting identity is the <strong>target peer identity</strong> and cannot change for the duration of the connection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> var <em>identity</em> = <em>rtcPeerConnection</em>.peerIdentity;</pre>

<h3 id="Value">Value</h3>

<p>A JavaScript {{jsxref("Promise")}} which resolves to an {{domxref("RTCIdentityAssertion")}} that describes the remote peer's identity.</p>

<p>If an error occcurs while attempting to validate an incoming identity assertion (that is, the information describing a peer's identity), the promise is rejected. If there isn't already a target peer identity, <code>peerIdentity</code> is set to a newly created promise and the process begins again, until the process succeeds or no further attempts to authenticate occur.</p>

<div class="notecard note">
<p><strong>Note:</strong> The promise returned by {{domxref("RTCPeerConnection.setRemoteDescription", "setRemoteDescription()")}} cannot resolve until any target peer identity that's been set is validated. If the identity hasn't been validated yet, the promise returned by <code>setRemoteDescription()</code> will be rejected. If there's no target peer identity, <code>setRemoteDescription()</code> doesn't need to wait for validation to occur before it resolves.</p>
</div>

<h2 id="Example">Example</h2>

<p>In this example, a function, <code>getIdentityAssertion()</code>, is created which asynchronously waits for the peer's identity to be verified, then returns the identity to the caller. If an error occurs and the promise is rejected, this logs the error to the console and returns <code>null</code> to the caller.</p>

<pre>let pc = new RTCPeerConnection();

/* ... */

async function getIdentityAssertion(pc) {
  try {
    const identity = await pc.peerIdentity;
    return identity;
  } catch(err) {
    console.log("Error identifying remote peer: ", err);
    return null;
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Identity', '#dfn-peeridentity') }}</td>
   <td>{{ Spec2('WebRTC Identity') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.peerIdentity")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
</ul>
